2024-02-29 13:17 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005537IK+[All Projects] Generalpublic2022-12-18 17:31
ReporterTorti the Smurf 
Assigned ToStingRayProject InfoIK+ (Archer MacLean)
http://www.whdload.de/games/IK+.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005537: SoundFX in "Deflecting Balls Bonus" Round dosent play (right)
DescriptionThe SoundFX of those Bouncing Balls stop working/playing after the first Ball hits the Shield.
Steps To ReproduceHappends every Time, no matter what version of the slave or Whdload.
Tried all the major Tooltypes. Nothing (T_T)

There is a Version from JST that works perfectly, but dosent save the highscores.

Only seems to happen on real hardware...
TagsNo tags attached.
MachineA600
CPU68020
CPUSpeed50
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem28MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
has duplicate 0000952closedJOTD IK+: I miss the Sounds in Level 3 (Ball and death Sound) 
+Relationships

-Notes

note ~0011044

RobDangerous (reporter)

Torti the Smurf added the following message to issue 5546 but I think it's a better fit for this issue:

"I did more testing.

Its the ECS setting that leads to this soundbug.

Game works great under AGA.
If i change to ECS (mist or Furia 600) the Sound bug is there.

Hope that helped in any way. Thank you very much StingRay"

note ~0011045

JOTD (developer)

Last edited: 2022-03-27 23:23

View 3 revisions

I have tested that under emulation and sound is fine

However, on my A1200/060 (so AGA) the sound of bouncing balls goes away after the first ball bounce.

One easy bug to fix when it fails only on the real machine! :)

The irony is: I don't even remember about the JST version.

note ~0011049

Torti the Smurf (reporter)

Thats strange.

On my AGA (mist) Setup its fine, but if i change to ECS the SoundFX disappear in the Ball Bonus Game.

Same on my Amiga600 Furia (Fast ECS Machine)

Really odd.

The JST istall (version 0.9) runs perfect, but dosent save the highscores.

Which is a Bummer; still the finest and funniest Beat em up there is XD (imho)

;)

note ~0011279

Torti the Smurf (reporter)

Sorry, my bad. The SoundFX are working on AGA; but they are still not right.
In fact, they are even worst as on ECS machines, because even the second Bonus game (kick the bombs) is affected.

Please fix this legendary game. (T_T)

Thank you so much.
Yours, Torti

note ~0011571

Torti the Smurf (reporter)

This sound bug affect ECS and AGA. The JST version is flawless (can be found here)

https://mega.nz/folder/gdozjZxL#uI5SheetsAd-NYKMeRjf2A/folder/QVAFEYaI

but it wont save the highscores :(

I really hope this classic get fixed *fingers cross*

note ~0011838

Torti the Smurf (reporter)

This is a bit confusing.

On one side, StingRay has this on his "list" (nothing happend so far)
and on the other, Master Wepl also working on it ? (also nothing so far)

I am afraid there is some confusion about this Slave ; very odd.

There stange thing is, the JST version (there is a 0.9 version) is flawless, only the highscore save option is missing.

So, i use the JST so far, but it sucks that no Highscores are saved.

Hope this Classic will be fixed...... someday :)

note ~0012149

JOTD (developer)

This is strange as the bug only occurs on my real machine. WinUAE plays the samples properly

I noticed a missing wait in that case

    MOVE.W #$000c,D0 ;012e4: 303c000c
; stingray fixed that cpu dependent wait loop
LAB_01B4:
    MOVE.L EXT_0067,D1 ;012e8: 223900078000
    DBF D0,LAB_01B4 ;012ee: 51c8fff8
    SUBQ.W #1,LAB_01B2.W ;012f2: 537812ca
    CMPI.W #$0001,LAB_01B2.W ;012f6: 0c78000112ca
    BEQ.W LAB_01B6 ;012fc: 67000030
    MOVE.W #$0008,DMACON ;01300: 33fc000800dff096
; but here we should wait a few rasterlines else next audio writes won't register
    MOVE.W #$0400,INTENA ;01308: 33fc040000dff09a
    MOVE.W #$0001,AUD3PER ;01310: 33fc000100dff0d6
    MOVE.L #$000012c6,AUD3LCH ;01318: 23fc000012c600dff0d0
    MOVE.W #$0001,AUD3LEN ;01322: 33fc000100dff0d4

fixing at $1300 with a few rasterline waits fixes the issue
+Notes

-Issue History
Date Modified Username Field Change
2022-03-22 00:13 Torti the Smurf New Issue
2022-03-23 19:19 StingRay Assigned To => StingRay
2022-03-23 19:19 StingRay Status new => assigned
2022-03-25 22:14 RobDangerous Note Added: 0011044
2022-03-27 23:22 JOTD Note Added: 0011045
2022-03-27 23:22 JOTD Note Edited: 0011045 View Revisions
2022-03-27 23:22 JOTD Status assigned => confirmed
2022-03-27 23:23 JOTD Steps to Reproduce Updated View Revisions
2022-03-27 23:23 JOTD Note Edited: 0011045 View Revisions
2022-03-31 13:19 Torti the Smurf Note Added: 0011049
2022-05-02 13:56 Torti the Smurf Note Added: 0011279
2022-07-17 17:28 Torti the Smurf Note Added: 0011571
2022-10-14 14:25 Torti the Smurf Note Added: 0011838
2022-12-18 17:31 JOTD Note Added: 0012149
2022-12-18 17:31 JOTD Status confirmed => closed
2022-12-18 17:31 JOTD Resolution open => fixed
2022-12-18 17:32 JOTD Relationship added has duplicate 0000952
+Issue History